/*
  IRremote:Example602A - detector sketch

*/

#include <IRremote.h>
#include <FastLED.h>

const int irRecvPin = 11;
const int ledPin=4;
CRGB leds[1];
IRrecv irrecv(irRecvPin);
decode_results results;

void setup(){
  delay(2000);
  LEDS.setBrightness(127); // 0-255
  FastLED.addLeds<WS2811, ledPin, GRB>(leds, 1);  
  Serial.begin(9600);
  irrecv.enableIRIn();
}

int ledState = 0;

void loop(){
  if (irrecv.decode(&results)){
    delay(200);
    Serial.println(results.value, HEX);
    ledState = 1-ledState;
    if(ledState){
      leds[0]= CRGB(0, 0, 255);
    }else{
      leds[0]= CRGB(0, 0, 0);
    }
    LEDS.show();
    irrecv.resume();
  }
}
      
    
