/*
 * IRremote: JJ2LED5-Demo
 * H. kawakami July 8, 2014
 */

#include <IRremote.h>
#include <FastLED.h>

const int ledPin=4;
const int irRecvPin = 11;
CRGB leds[1];
IRrecv irrecv(irRecvPin);
decode_results results;

unsigned getbits(unsigned long x, int p, int n){
  return (x>>(p+1-n))&~(~0<<n);
}

void setup(){
  delay(200);
  LEDS.setBrightness(127); // 0-255
  FastLED.addLeds<WS2811, ledPin, GRB>(leds, 1);  
  Serial.begin(9600);
  irrecv.enableIRIn();
}

unsigned res2;

void loop() {
  if (irrecv.decode(&results)) {
    delay(200);
    res2=getbits(results.value, 15,4);
    if(res2==0x5){
      leds[0]=CRGB(100, 0, 0);
    }
    if(res2==0x9){
      leds[0]=CRGB(0, 100, 0);
    }
    if(res2==0x6){
      leds[0]=CRGB(0, 0, 100);
    }
    if(res2==0x3){
      leds[0]=CRGB(100, 100, 0);
    }
    if(res2==0xa){
      leds[0]=CRGB(100, 100, 100);
    }
    if(res2==0xc){
      leds[0]=CRGB(0, 0, 0);
    }
    LEDS.show();  
    Serial.println(results.value, HEX);
    Serial.println(res2, HEX);
    irrecv.resume();
  }
}
