/*
 * IRremote: IRrecvDemo - demonstrates receiving IR codes with IRrecv
 * An IR detector/demodulator must be connected to the input RECV_PIN.
 * Version 0.1 July, 2009
 * Copyright 2009 Ken Shirriff
 * http://arcfn.com
 *
 * modified by H. Kawakami, August 20, 2014
 */

#include <IRremote.h>

int RECV_PIN = 11;
IRrecv irrecv(RECV_PIN);// IR receiver object
decode_results results; // IR decoder object

unsigned getbits(unsigned long x, int p, int n){
  return (x>>(p+1-n))&~(~0<<n);
}

void setup(){
  Serial.begin(9600);
  irrecv.enableIRIn(); // Start the receiver
}

unsigned res2;

void loop() {
  if (irrecv.decode(&results)) {
    delay(250);
    res2=getbits(results.value, 15,4);
    Serial.println(res2, HEX);
    irrecv.resume(); // Receive the next value
  }
}
